# RakPeer.h File Reference

The main class used for data transmission and most of RakNet's functionality. More...

`#include "ReliabilityLayer.h"`
`#include "RakPeerInterface.h"`
`#include "RPCNode.h"`
`#include "RSACrypt.h"`
`#include "BitStream.h"`
`#include "SingleProducerConsumer.h"`
`#include "RPCMap.h"`
`#include "SimpleMutex.h"`
`#include "DS_OrderedList.h"`
`#include "Export.h"`
`#include "RakString.h"`
`#include "RakThread.h"`

## Classes

class | RakPeer
| The main interface for network communications. More...

## Detailed Description

The main class used for data transmission and most of RakNet's functionality.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.